I=(S=PostProcRenderer.BlendDrawExposePoint = function(){
}).prototype;

I.Draw = function(tex, addColor)
{
    {
        gl.useProgram(this.BlendDraw_quad_prog);
        gl.colorMask(true, true, true, true);
        gl.depthMask(true);
        gl.blendFuncSeparate(Uno.Graphics.OpenGL.Interop.BlendToGLenum(2), Uno.Graphics.OpenGL.Interop.BlendToGLenum(3), Uno.Graphics.OpenGL.Interop.BlendToGLenum(2), Uno.Graphics.OpenGL.Interop.BlendToGLenum(3));
        gl.enable(3042);
        gl.disable(2884);
        gl.disable(2929);
        gl.frontFace(Uno.Graphics.OpenGL.Interop.PolygonWindingToGLenum(1));
        gl.uniform4fv(this.BlendDraw_quad_addColor_5_1_0_pPEOKIHSgx, uglFloat4(addColor));
        gl.activeTexture(33984);
        gl.bindTexture(3553, tex.GLHandle());
        gl.uniform1i(this.BlendDraw_quad_tex_5_0_0_jdgvxZfpRj, 0);
        gl.enableVertexAttribArray(this.BlendDraw_quad_VertexPosition_dbAQSbnbuv);
        gl.bindBuffer(34962, this.BlendDraw_quad_VertexPosition_dbAQSbnbuv_vbo.GLHandle());
        gl.vertexAttribPointer(this.BlendDraw_quad_VertexPosition_dbAQSbnbuv, 2, 5126, false, 0, 0);
        gl.bindBuffer(34963, this.BlendDraw_quad_ibo.GLHandle());
        gl.drawElements(Uno.Graphics.OpenGL.Interop.PrimitiveTypeToGLenum(0), this.BlendDraw_quad_Length_PiwOKaaXzx, 5123, 0);
        gl.disableVertexAttribArray(this.BlendDraw_quad_VertexPosition_dbAQSbnbuv);
        Uno.Application.IncrementDrawCallCounter(this.BlendDraw_quad_Length_PiwOKaaXzx);
    }
};

S.$0 = function(parent, $this) {
    if (!$this) $this = new PostProcRenderer.BlendDrawExposePoint;
    {
        $this.parent = parent;
    }

    {
        $this.BlendDraw_quad_ibo = Uno.Graphics.IndexBuffer.$0($this.parent.indices.length * 2, false);
        $this.BlendDraw_quad_ibo.SetData(new Uint16Array($this.parent.indices));
        $this.BlendDraw_quad_VertexPosition_dbAQSbnbuv_vbo = Uno.Graphics.VertexBuffer.$0($this.parent.vertices.length * 8, false);
        $this.BlendDraw_quad_VertexPosition_dbAQSbnbuv_vbo.SetData(uglFloat2Array($this.parent.vertices, ($this.parent.vertices.length * 8)/8));
        $this.BlendDraw_quad_Length_PiwOKaaXzx = $this.parent.indices.length;
    }

    $this.BlendDraw_quad_vs = uglCompileShader(35633, "PostProcRenderer_BlendDrawExposePoint_BlendDraw_quad_vs", "varying vec2 TexCoord_2_23_0_bxxrpfUJwB;\n\nattribute vec2 VertexPosition_dbAQSbnbuv;\n\nvoid main(void)\n{\n\tvec4 VertexPosition_2_21_0 = vec4(VertexPosition_dbAQSbnbuv, 0.0, 1.0);\n\tvec4 ClipPosition_2_22_0 = VertexPosition_2_21_0;\n\tgl_Position = VertexPosition_2_21_0;\n\tvec2 TexCoord_2_23_0 = (VertexPosition_2_21_0.xy * 0.5) + 0.5;\n\tTexCoord_2_23_0_bxxrpfUJwB = (VertexPosition_2_21_0.xy * 0.5) + 0.5;\n}\n");
    $this.BlendDraw_quad_ps = uglCompileShader(35632, "PostProcRenderer_BlendDrawExposePoint_BlendDraw_quad_ps", "uniform vec4 addColor_5_1_0_pPEOKIHSgx;\n\nuniform sampler2D tex_5_0_0_jdgvxZfpRj;\n\nvarying vec2 TexCoord_2_23_0_bxxrpfUJwB;\n\nvoid main(void)\n{\n\tvec4 PixelColor_6_4_0 = texture2D(tex_5_0_0_jdgvxZfpRj, TexCoord_2_23_0_bxxrpfUJwB) + addColor_5_1_0_pPEOKIHSgx;\n\tgl_FragColor = texture2D(tex_5_0_0_jdgvxZfpRj, TexCoord_2_23_0_bxxrpfUJwB) + addColor_5_1_0_pPEOKIHSgx;\n}\n");
    $this.BlendDraw_quad_prog = uglLinkProgram($this.BlendDraw_quad_vs, $this.BlendDraw_quad_ps);
    $this.BlendDraw_quad_VertexPosition_dbAQSbnbuv = gl.getAttribLocation($this.BlendDraw_quad_prog, "VertexPosition_dbAQSbnbuv");
    $this.BlendDraw_quad_addColor_5_1_0_pPEOKIHSgx = gl.getUniformLocation($this.BlendDraw_quad_prog, "addColor_5_1_0_pPEOKIHSgx");
    $this.BlendDraw_quad_tex_5_0_0_jdgvxZfpRj = gl.getUniformLocation($this.BlendDraw_quad_prog, "tex_5_0_0_jdgvxZfpRj");
    return $this;
};
